]> git.sev.monster Git - aports.git/commitdiff
testing/mympd: new aport
authorsev <git@sev.monster>
Mon, 28 Oct 2024 21:55:51 +0000 (16:55 -0500)
committersev <git@sev.monster>
Mon, 28 Oct 2024 21:55:51 +0000 (16:55 -0500)
testing/mympd/APKBUILD [new file with mode: 0644]
testing/mympd/mympd.post-install [new file with mode: 0644]
testing/mympd/mympd.pre-install [new file with mode: 0644]

diff --git a/testing/mympd/APKBUILD b/testing/mympd/APKBUILD
new file mode 100644 (file)
index 0000000..3a3fc2c
--- /dev/null
@@ -0,0 +1,43 @@
+# Contributor: sev <alpine@sev.monster>
+# Maintainer: sev <alpine@sev.monster>
+pkgname=mympd
+pkgver=7.0.2
+pkgrel=1
+pkgdesc="myMPD is a standalone and mobile friendly web mpd client with a tiny footprint and advanced features."
+url="https://jcorporation.github.io"
+arch="all"
+license="GPL-2.0-or-later"
+depends="libid3tag flac openssl>=1.1.0 lua5.3 pcre"
+makedepends="cmake>=3.4 perl pcre-dev openssl-dev>=1.1.0 libid3tag-dev flac-dev lua5.3-dev"
+install="$pkgname.pre-install $pkgname.post-install"
+subpackages="$pkgname-doc $pkgname-openrc"
+source="myMPD-$pkgver.tar.gz::https://github.com/jcorporation/myMPD/archive/refs/tags/v$pkgver.tar.gz"
+builddir="$srcdir/myMPD-$pkgver"
+
+build() {
+       cd "$builddir"
+       ./build.sh release
+}
+
+check() {
+       cd "$builddir/release"
+       # mympd has no safe way to start without it doing something
+       [ -x mympd >/dev/null 2>&1 ] || return 1
+       # we want to check a specific exit code so we have to turn off errexit
+       set +e
+       for x in config script; do
+               ./cli_tools/mympd-$x -h >/dev/null 2>&1
+               [ $? -ne 1 ] && return 1
+       done
+       set -e
+}
+
+package() {
+       cd "$builddir/release" || exit 1
+       [ -z "${DESTDIR+x}" ] && DESTDIR=""
+       make DESTDIR="$pkgdir" install
+}
+
+sha512sums="
+98a7464c307797b5b3b3ab56a7dfc2bab47a366e4cc4c48c2239915a14152bd3d6946219ee634baf4a1d36ba92778393100e3e7a16054aa1f85381c34303bd3f  myMPD-7.0.2.tar.gz
+"
diff --git a/testing/mympd/mympd.post-install b/testing/mympd/mympd.post-install
new file mode 100644 (file)
index 0000000..8904f48
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh
+echo "myMPD installed"
+echo "Modify /etc/mympd.conf to suit your needs or use the"
+echo "mympd-config tool to generate a valid mympd.conf automatically."
+exit 0
diff --git a/testing/mympd/mympd.pre-install b/testing/mympd/mympd.pre-install
new file mode 100644 (file)
index 0000000..1f147bc
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+addgroup -S mympd 2>/dev/null
+adduser -S -D -H -h /var/lib/mympd -s /sbin/nologin -G mympd -g myMPD mympd 2>/dev/null
+
+exit 0
This page took 0.057906 seconds and 4 git commands to generate.